Skip to content

Public Visitor Company

GET
/public/visitors/company

Resolve the current visitor’s IP address to a company.

Uses the ip_2_company ClickHouse table to identify which company the visitor belongs to based on their IP address. Used by g8.visitors.identify().

Authorizations

Parameters

Query Parameters

visitor_ip
Any of:
string format: ipvanyaddress

Header Parameters

X-Write-Key
Any of:
string
X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required
object
city
Any of:
string
company_domain
Any of:
string
company_name
Any of:
string
confidence
number
country
Any of:
string
employee_count
Any of:
string
industry
Any of:
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string